## gnustep-make 2.6.2

=== debian/changelog ===
gnustep-make (2.6.2-2.1ubuntu1) saucy; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Oct 2013 17:49:13 +0200

gnustep-make (2.6.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gnustep-filesystem.texi syntax (Closes: #707506).

 -- David Prévot <taffit@debian.org>  Mon, 08 Jul 2013 00:05:04 -0400

gnustep-make (2.6.2-2) unstable; urgency=low

  * debian/source/format: Switch to 3.0 (quilt).
  * debian/control.in (Build-Depends): Drop quilt.
  * debian/control: Regenerate.
  * debian/rules: Don't include /usr/share/quilt/quilt.make.  Remove quilt
    patch/unpatch dependencies.
  * debian/README.source: Delete; redundant.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 28 Apr 2012 12:31:36 +0300

gnustep-make (2.6.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/gcc-4.6.patch: Delete; GCC 4.6 is now the default
    compiler on all architectures (Closes: #667149).
  * debian/patches/texi2html-flags.patch: Delete; fixed upstream.
  * debian/patches/tests-clean-core.patch: New; delete all possible core
    files left by failed tests (Closes: #646840).  Thanks Peter
    Eisentraut.
  * debian/patches/series: Update.
  * debian/control.in (Build-Depends): Replace gobjc++-4.6 with gobjc++.
  * debian/control: Regenerate.
    (Depends): Replace gobjc-4.6 with gobjc.  Move the autotools-dev
    dependency from -common to -make (Closes: #653715).
    (Replaces, Breaks): New fields to cater for the files moved from
    -common to -make.
    (Standards-Version): Bump to 3.9.3; no changes needed.
  * debian/rules (common_scripts): Remove config.sub and config.guess.
    (debian/install-arch-stamp): Install correct symlinks for
    config.{sub,guess}.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 26 Apr 2012 14:11:23 +0300

gnustep-make (2.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/gcc-4.6.patch: New; enforce gcc-4.6 on all
    architectures for the new ObjC runtime.
  * debian/patches/series: Update.
  * debian/control.in (Build-Depends): Remove gobjc, replace gobjc++ with
    gobjc++-4.6.
    (gnustep-make) <Depends>: Add gobjc-4.6.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 14 Sep 2011 18:18:18 +0300

gnustep-make (2.6.0-1) unstable; urgency=low

  * New upstream release.
  * debian/conrol.in (Vcs-Arch): Replace with...
    (Vcs-Git): ...following the switch to Git.
    (Vcs-Browser): New field.
    (Standards-Version): Bump to 3.9.2; no changes necessary.
    (Build-Depends): Add gobjc++.
  * debian/control: Regenerate.
  * debian/gnustep-tests.1: New file.
  * debian/rules (debian/install-arch-stamp): Move gnustep-tests to the
    -make package.
    (binary-arch): Install gnustep-tests.1.
    (binary-indep): Do not invoke dh_lintian.
  * debian/patches/texi2html-flags.patch: New; temporary workaround for a
    bug in texi.make (Closes: #594141).
  * debian/patches/series: Update.
  * debian/gnustep-make.lintian-overrides: Delete.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 22 May 2011 17:17:41 +0300

gnustep-make (2.4.0-3) unstable; urgency=medium

  * debian/rules (common_scripts): Add config-noarch.make which is
    architecture-dependent; thanks Michael Werle (Closes: #583840).
    Remove ld_lib_path.{,c}sh which no longer exist.
    (c-n, create-compat-symlink, remove-compat-symlink): New convenience
    variables to aid in bootstrapping which now fails because of the
    config-noarch.make move.
    (debian/build-indep-stamp, debian/install-indep-stamp, clean-patched):
    Use them.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 31 May 2010 16:12:50 +0300

gnustep-make (2.4.0-2) unstable; urgency=low

  * debian/control.in (gnustep-make) <Depends>: Tighten depends on
    gnustep-common.
  * debian/control: Regenerate.
  * debian/cdbs/gnustep.mk (__gs_application_update_lintian_overrides):
    Remove and replace with a deprecation warning; maintainers are
    supposed to fix these issues instead of sweeping them under the carpet
    with lintian overrides.
  * debian/cdbs/application.overrides.in: Delete.
  * debian/TODO: Remove; obsolete.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 26 May 2010 13:34:50 +0300

gnustep-make (2.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Wrap all fields.
    (Section): Change to `gnustep' to match the override file.
    (Uploaders): Add myself; remove Eric and Hubert.
    (Build-Depends): Remove obsolete version requirement of gobjc.  Add
    quilt.
    (gnustep-common) <Conflicts>: Remove; obsolete.
    <Replaces>: Remove version as we move print_unique_pathlist.sh here
    with this upload; furthermore, using versioned Replaces: is considered
    harmful.
    <Depends>: Move autotools-dev here; fixes a piuparts error as the
    symlinks are shipped in this package.  Remove useless
    ${shlibs:Depends}.
    (gnustep-make): <Depends>: Drop autotools-dev and ${shlibs:Depends}.
    <Conflicts>: Remove.
    (gnustep-make-doc) <Replaces>: Likewise.
    <Depends>: Set to "dpkg (>= 1.15.4) | install-info, ${misc:Depends}".
    (Homepage, Vcs-Arch): New fields.
    (Standards-Version): Claim compliance with 3.8.4 as of this upload.
  * debian/control: Regenerate.
  * debian/rules: Cleanups.  Permanently get rid of all OpenGroupware.org
    stuff.  Include /usr/share/quilt/quilt.make and update the rules
    accordingly.
    (p_make_ogo, b_make_ogo, d_make_ogo, V_OBJC, GS_OGO_ROOT,
    GS_OGO_USRLOCAL, GS_OGO_SYSTEM_ROOT, GS_OGO_LOCAL_ROOT,
    GS_OGO_NETWORK_ROOT, GS_OGO_DOC_DIR, GS_OGO_LIBS_DIR, GS_OGO_ETC_DIR,
    GS_OGO_LIBRARY_COMBO): Do not define.
    (clean_files): Do not append the ogo wrappers, stamps and maintainer
    scripts.
    (debian/$(p_make_ogo)-configure-stamp): Remove the entire rule.
    (clean): Omit clean in $(b_ogo).
    (in_files): Remove override files.

