## gnustep-make 2.6.6

=== debian/changelog ===
gnustep-make (2.6.6-3) unstable; urgency=medium

  * debian/patches/versioned-frameworks.patch: New, properly support
    versioned frameworks and thus library transitions (Closes: #755572).
  * debian/patches/no-gzip-timestamps.patch: New, avoid timestamps in
    compressed manpages.
  * debian/patches/manpage-spelling-errors.patch: New, fix two spelling
    errors.
  * debian/patches/series: Update.
  * debian/cdbs/frameworklib.install.in: Remove Current/Resources
    symlinks; the former is in the -dev package and the latter is no
    longer created.
  * debian/cdbs/frameworkdev.install.in: Add two more symlinks in the
    .framework directory.
  * debian/cdbs/frameworklib.overrides.in: Delete; no longer necessary.
  * debian/cdbs/gnustep.mk: Don't remove the Current symlink from the -dev
    package.  Deprecate DEB_GS_AUTO_LINTIAN_OVERRIDES as installing
    lintian overrides is no longer needed.
  * debian/gnustep-make.dirs.in: Remove @GS_SYSTEM_ROOT@/Library;
    redundant since 2.0.x.
  * debian/upstream/signing-key.pgp: New, add upstream keyring.
  * debian/source/include-binaries: Add signing-key.pgp.
  * debian/watch: Verify upstream signature.
  * debian/control.in (Standards-Version): Bump to 3.9.6; no changes
    needed.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 20 Oct 2014 15:02:19 +0300

gnustep-make (2.6.6-2) unstable; urgency=medium

  * debian/rules: Define GNUSTEP_MAKEFILES globally.
    (confflags): Define conditionally and pass --host to configure only
    if cross-compiling.  Do not set CC/CXX explicitly.
    (common_scripts): Add config.make as it is arch-dependent.
    (c-n, create-compat-symlink, delete-compat-symlink): Handle
    config.make in addition to config-noarch.make.
    (install-indep-common): Do not create empty directory.
  * debian/control.in (Replaces, Breaks): Add/correct as appropriate.
    (Depends): Tighten depends on gnustep-common.
    (Suggests): Remove gnustep-base-common, pointless.
    (Description): Extend.
  * debian/control: Regenerate.
  * debian/patches/use-makeinfo.patch: Correct .html targets to avoid
    rebuilding them in the install rule.
  * debian/config.mk.in: Define/export GNUSTEP_MAKEFILES and
    GNUSTEP_INSTALLATION_DOMAIN.
  * debian/copyright: Actually switch to format 1.0 by specifying
    the Format/Source fields.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 26 Jun 2014 19:50:40 +0300

gnustep-make (2.6.6-1) unstable; urgency=low

  * New upstream release:
    - Fixes FTBFS of sogo with make 4.0 (Closes: #747028).
  * Ack NMU, thanks David Prévot.
  * debian/rules (debian/$(p_make)-configure-stamp, clean): Use
    dh_autotools-dev to update config.{sub,guess} files; thanks Matthias
    Klose (Closes: #727263).
    (install-indep-stamp): Don't install Internals documentation.
    (binary-indep): Stop creating useless symlinks.
  * debian/control.in (Build-Depends): Add autotools-dev.
    (Build-Depends-Indep): Remove texi2html.
    (Vcs-Git, Vcs-Browser): Use canonical URIs.
    (gnustep-make-doc) <Depends>: Remove dpkg (>= 1.15.4) | install-info.
    (Standards-Version): Compliant with 3.9.5 as of this release.
  * debian/control: Regenerate.
  * debian/Internals/*: Delete; not very useful.
  * debian/patches/use-makeinfo.patch: New; generate HTML documentation
    with makeinfo instead of texi2html.
  * debian/patches/honor-CFLAGS.patch: New, do not ignore user-defined
    CFLAGS; thanks Nicolas Boulenguez (Closes: #719622).
  * debian/patches/series: Update.
  * debian/NEWS: New file; document the switch to makeinfo.
  * debian/gnustep-make-doc.doc-base: New file.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 22 May 2014 19:09:24 +0300
