=== debian/control ===
Source: gnustep-make
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>,
	   Yavor Doganov <yavor@gnu.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 7),
	       autotools-dev,
	       gobjc++
Build-Depends-Indep: texinfo,
		     texlive-base,
		     texlive-base-bin,
		     texlive-latex-base
Homepage: http://gnustep.org
Vcs-Git: git://anonscm.debian.org/pkg-gnustep/gnustep-make.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gnustep-make.git

Package: gnustep-common
Architecture: any
Depends: ${misc:Depends}
Replaces: gnustep-make (<< 2.6.6-2)
Breaks: gnustep-make (<< 2.6.6-2)
Provides: gnustep-fslayout-fhs
Description: Common files for the core GNUstep environment
 This package contains the main GNUstep configuration file, common
 files, scripts and directory layout needed to run any GNUstep
 software.

Package: gnustep-make
Architecture: all
Depends: gnustep-common (>= ${source:Version}),
	 gnustep-common (<< ${source:Version}.1~),
	 gobjc,
	 autotools-dev,
	 ${misc:Depends},
	 ${gnustep:Depends}
Suggests: gnustep-make-doc
Description: GNUstep build system
 This package contains the makefiles needed to compile any GNUstep
 software, and the GNUstep Test Framework used by GNUstep packages to
 build and run tests.

Package: gnustep-make-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for GNUstep Make
 This package contains the GNUstep Make manual in Info, HTML and PDF
 format.  Also included are several documents such as the GNUstep
 HOWTO, FAQ and explanation of the GNUstep filesystem which are useful
 to get familiar with the basic aspects of the GNUstep environment.
