=== debian/rules ===
--- 
+++ 
@@ -42,10 +42,11 @@
 # bashism: we're using brace expansion
 export SHELL=/bin/bash
 
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
+confflags := --build $(DEB_BUILD_GNU_TYPE)
+else
+confflags := --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+endif
 
 # make some files executable
 dummy := $(shell chmod +x config.guess clean_cpu.sh clean_os.sh \
@@ -98,6 +99,11 @@
 # Library combo
 GS_LIBRARY_COMBO	= gnu-gnu-gnu
 
+# Ensure that the internal makefiles are used during build.  Because
+# GNUstep.conf is loaded automatically by config-noarch.make if it
+# exsits, this package must always be built in a clean chroot.
+export GNUSTEP_MAKEFILES := $(d_make)$(GS_MAKE_DIR)
+
 sed_var_subst_gs = sed -e 's:@GS_USE_FHS@:$(GS_USE_FHS):g' \
 		       -e 's:@GS_ROOT@:$(GS_ROOT):g' \
 		       -e 's:@GS_SYSTEM_ROOT@:$(GS_SYSTEM_ROOT):g' \
@@ -108,11 +114,13 @@
 		       -e 's:@GS_SCRIPT_DIR@:$(GS_SCRIPT_DIR):g' \
 		       -e 's:@GS_FS_PACKAGE@:$(GS_FS_PACKAGE):g' \
 
-# Convenience variables to temporarily create and delete the symlink
-# for config-noarch.make.
-c-n := $(GS_MAKE_DIR)/config-noarch.make
-create-compat-symlink := ln -s $(d_common)$(c-n) $(d_make)$(c-n)
-delete-compat-symlink := rm $(d_make)$(c-n)
+# Convenience variables to temporarily create and delete the symlinks
+# for config.make and config-noarch.make.
+c-n := $(GS_MAKE_DIR)/config-noarch.make $(GS_MAKE_DIR)/config.make
+create-compat-symlink := for f in $(c-n); do \
+	                   ln -s $(d_common)$$f $(d_make)$$f; \
+			 done
+delete-compat-symlink := rm $(addprefix $(d_make),$(c-n))
 
 # prepare the tree for building
 dir_struct_files = dh_gnustep $(p_common).links $(p_common).dirs \
@@ -153,17 +161,14 @@
 debian/$(p_make)-configure-stamp: configure
 	dh_testdir
 
+	-mkdir $(b_make)
+
 	dh_autotools-dev_updateconfig
 
-	-mkdir $(b_make)
-
-	cd $(b_make) && CC=$(CC) CXX=$(CXX) ../configure \
+	cd $(b_make) && ../configure \
 		--with-layout=$(GS_FS_LAYOUT) \
-		--build=$(DEB_BUILD_GNU_TYPE) \
-		--host=$(DEB_HOST_GNU_TYPE) \
-		--target=$(DEB_HOST_GNU_TYPE) \
 		--enable-native-objc-exceptions \
-
+		$(confflags)
 	touch $@
 
 
@@ -186,7 +191,7 @@
 # GNUSTEP_MAKEFILES, the link must be created and deleted in every
 # rule which uses gnustep-make.
 	$(create-compat-symlink)
-	GNUSTEP_MAKEFILES=$(d_make)$(GS_MAKE_DIR) $(MAKE) -C Documentation
+	$(MAKE) -C Documentation
 	$(delete-compat-symlink)
 	touch $@
 
@@ -198,19 +203,15 @@
 	dh_testdir
 	dh_testroot
 	dh_prep -p$(p_doc)
-	dh_installdirs -p$(p_doc) usr/share/doc/$(p_make)
 	$(create-compat-symlink)
-	GNUSTEP_MAKEFILES=$(d_make)$(GS_MAKE_DIR) $(MAKE) -C Documentation \
-	  install DESTDIR=$(d_doc)
+	$(MAKE) -C Documentation install DESTDIR=$(d_doc)
 	$(delete-compat-symlink)
 
-	@ # Install Internals doc
-	dh_install -p$(p_doc) -X .arch-ids debian/Internals $(GS_DOC_DIR)/Developer/Make/Manual
-
-	@ # remove postscript doc
+# Remove postscript docs.
 	-find $(d_doc)/$(GS_DOC_DIR) -name '*.ps' | xargs rm -f
-
-	@ # remove all uninteresting info manuals
+# Remove empty Internals directory.
+	rmdir $(d_doc)/$(GS_DOC_DIR)/Developer/Make/Manual/Internals
+# Remove all uninteresting info manuals.
 	rm $(d_doc)/usr/share/info/gnustep-{faq,userfaq,howto,filesystem}.info
 
 	touch $@
@@ -221,7 +222,7 @@
 common_scripts = GNUstep-reset.sh GNUstep.csh GNUstep.sh cpu.sh clean_cpu.sh \
 		 vendor.sh clean_vendor.sh os.sh clean_os.sh fixpath.sh \
 		 filesystem.sh filesystem.csh print_unique_pathlist.sh \
-		 config-noarch.make
+		 config-noarch.make config.make
 cdbs_dir = usr/share/cdbs/1
 debian/install-arch-stamp: build-arch prep
 	dh_testdir
