## gnustep-make 2.6.8

=== debian/changelog ===
gnustep-make (2.6.8-2) unstable; urgency=medium

  * Update versioned-frameworks patch to avoid breaking resource lookups.
  * debian/rules:
    + Enable hardening
    + Use the shared libgcc
  * New fix-spelling-errors patch.

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Sun, 24 Jul 2016 18:38:47 +0200

gnustep-make (2.6.8-1) unstable; urgency=low

  * Team upload.
  * In agreement with the Debian GNUstep maintainers,
    add myself as new Co-Maintainer.
  * New upstream version
  * Remove patches applied upstream:
    + honor-CFLAGS.patch
    + info-document-missing-direntry.patch
    + library-combo-whatis-entry.patch
    + manpage-spelling-errors.patch
    + test-clean-core.patch
    + texi-section-level.patch
  * Update no-gzip-timestamps.patch.
  * Update use-makeinfo.patch.
  * Bump Standards-Version to 3.6.8 in debian/control.
  * Set debhelper compatibility level to 9.
  * Update Vcs-* fields in debian/control
  * Rewrite debian/rules:
    + Use dh $@ --with autoreconf and --buiddirectory
    + No more use autotools-dev: drop dependencies
    + Disable strict gnustep-make version 2 mode for now
    + Build and install doc in *-indep sequence (Closes: #823281, #806197)
    + Use --with-layout=debian in configure scripts:
      - remove fhs-system-includedir.patch
      - remove obsolete {gnustep:Depends} var in debian/control
    + Remove debian/control.in file, useless now
    + Remove debian/fhs/gnustep-common.disr.in, now useless
    + Remove debian/fhs/gnustep-common.links.in, now useless
    + Remove debian/gnustep-make.dirs.in, now useless
  * Provide a new debian/clean file.
  * Update debian/copyright file.
  * Update debian/watch file to version 4.
  * Replace debian/upstream/signig-key.pgp by signing-key.asc:
    remove debian/source/include-binaries file.
  * Provide a new debian/gnustep-make-doc.install file.
  * Provide a new debian/gnustep-make-doc.info file.
  * Rename debian/gnustep-make-doc.doc-base to
    debian/gnustep-make-doc.doc-base.gnustep-make.
  * Provides new debian/gnustep-make-doc.doc-base.* files.
  * Provide a new debian/gnustep-make.install file.
  * Provide a new debian/gnustep-make.lintian-overrides file.
  * Provide a new debian/gnustep-make.manpages file:
    remove debian/gnustep-test.1 file, useless now.
  * Provide a new debian/gnustep-make.docs file.
  * Provide a new debian/gnustep-make.links.
  * Rename debian/fhs dir to debian/dh_gnustep.
  * gnustep-make now Depends on {perl:Depends}
  * New debian/addons dir:
    + remove debian/gs_make.in and debian/config.mk.in, now useless
    + new gs_make and config.mk files in debian/addons dir
    + move debian/gs_make.1 to debian/addons dir
  * Remove debian/gnustep-make.dirs.in, useless now.
  * Provide a new debian/gnustep-common.maintscript file.
  * Provide a new debian/gnustep-common.install file.
  * Provide a new debian/gnustep-common.manpages file.
  * Provide a new debian/gnustep-common.docs file.
  * Provide a new debian/gnustep-common.dirs file.
  * Provide a new debian/gnustep-common.links file.
  * Provide a new debian/gnustep-common.lintian-overrides file.
  * Move gnustep-config.1 manpage to gnustep-make package:
    gnustep-make now Replaces and Breaks gnustep-common (<<2.6.8-1).

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Tue, 03 May 2016 22:13:30 +0200
