=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: gnustep
 Priority: optional
 Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
-Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>,
+Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
+	   Gürkan Sengün <gurkan@phys.ethz.ch>,
 	   Yavor Doganov <yavor@gnu.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 7),
-	       autotools-dev,
-	       gobjc++
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9),
+	       gobjc++,
+	       dh-autoreconf
 Build-Depends-Indep: texinfo,
 		     texlive-base,
 		     texlive-base-bin,
 		     texlive-latex-base
 Homepage: http://gnustep.org
-Vcs-Git: git://anonscm.debian.org/pkg-gnustep/gnustep-make.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gnustep-make.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnustep/gnustep-make.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-gnustep/gnustep-make.git
 
 Package: gnustep-common
 Architecture: any
@@ -32,9 +33,10 @@
 Depends: gnustep-common (>= ${source:Version}),
 	 gnustep-common (<< ${source:Version}.1~),
 	 gobjc,
-	 autotools-dev,
 	 ${misc:Depends},
-	 ${gnustep:Depends}
+	 ${perl:Depends}
+Replaces: gnustep-common (<< 2.6.8-1)
+Breaks: gnustep-common (<< 2.6.8-1)
 Suggests: gnustep-make-doc
 Description: GNUstep build system
  This package contains the makefiles needed to compile any GNUstep
