## gnustep-make 2.7.0

=== debian/changelog ===
gnustep-make (2.7.0-3) unstable; urgency=medium

  * debian/addons/config.mk: Add snippet to handle optimization
    when building GNUstep related packages (Thanks to Yavor Doganov).
  * debian/control: Mark gnustep-make-doc as Multi-Arch: foreign.

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Sun, 22 Oct 2017 23:05:36 +0200

gnustep-make (2.7.0-2) unstable; urgency=medium

  [ Yavor Doganov ]
  * debian/rules: Reset all flags as dpkg's default flags creep in and get
    hardcoded in gnustep-make itself (Closes: #879085).  Remove dh's
    --with autoreconf argument.
  * debian/gnustep-make.links: Create symlinks for config.{guess,sub} from
    autotools-dev to ensure they're always up-to-date.
  * debian/gnustep-make.install: Do not install config.{guess,sub}.
  * debian/compat: Set compat level to 10.
  * debian/control (Build-Depends): Require debhelper >= 10; remove
    dh-autoreconf.
    (gnustep-make) <Depends>: Add autotools-dev.
    (Standards-Version): Bump to 4.1.1 (no changes needed).
  * debian/gnustep-common.maintscript: Delete; no longer needed.
  * debian/patches/no-user-root-paths.patch: Remove; merged upstream.
  * debian/patches/series: Update.
  * debian/copyright: Update copyright years.

  [ Eric Heintzmann ]
  * debian/rules: Remove comment about XDG compliance.

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Sun, 22 Oct 2017 01:47:53 +0200

gnustep-make (2.7.0-1) unstable; urgency=low

  [ Eric Heintzmann ]
  * New upstream version 2.7.0
  * Remove debian patches applied upstream:
    + fix-spelling-errors
    + versioned-frameworks
    + no-gzip-timestamps patch
    + use-makeinfo patch
  * Refresh debian patches:
    + no-setcontentsaftertitlepage
    + no-user-root-paths

  [ Yavor Doganov ]
  * debian/control (Breaks, Replaces): Remove; obsolete.

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Sun, 03 Sep 2017 05:25:49 +0200

gnustep-make (2.6.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace @setcontentsaftertitlepage with @contents.
    (Closes: #838278)

 -- Adrian Bunk <bunk@debian.org>  Wed, 25 Jan 2017 23:53:44 +0200
