=== debian/control ===
Source: gnustep-make
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
           Gürkan Myczko <gurkan@phys.ethz.ch>,
           Yavor Doganov <yavor@gnu.org>
Section: gnustep
Priority: optional
Build-Depends: debhelper (>= 10),
               gobjc++
Build-Depends-Indep: texinfo,
                     texlive-base,
                     texlive-latex-base
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnustep/gnustep-make.git
Vcs-Git: https://anonscm.debian.org/git/pkg-gnustep/gnustep-make.git
Homepage: http://gnustep.org

Package: gnustep-common
Architecture: any
Depends: ${misc:Depends}
Provides: gnustep-fslayout-fhs
Description: Common files for the core GNUstep environment
 This package contains the main GNUstep configuration file, common
 files, scripts and directory layout needed to run any GNUstep
 software.

Package: gnustep-make
Architecture: all
Depends: gnustep-common (>= ${source:Version}),
         gnustep-common (<< ${source:Version}.1~),
         gobjc,
         autotools-dev,
         ${misc:Depends},
         ${perl:Depends}
Suggests: gnustep-make-doc
Description: GNUstep build system
 This package contains the makefiles needed to compile any GNUstep
 software, and the GNUstep Test Framework used by GNUstep packages to
 build and run tests.

Package: gnustep-make-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Documentation for GNUstep Make
 This package contains the GNUstep Make manual in Info, HTML and PDF
 format.  Also included are several documents such as the GNUstep
 HOWTO, FAQ and explanation of the GNUstep filesystem which are useful
 to get familiar with the basic aspects of the GNUstep environment.
