=== debian/rules ===
--- 
+++ 
@@ -3,31 +3,23 @@
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
-
-# see FEATURE AREAS in dpkg-buildflags(1)
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
-
-# see ENVIRONMENT in dpkg-buildflags(1)
-# package maintainers to append CFLAGS
-#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-# package maintainers to append LDFLAGS
-#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-
-# gnustep-base throws and catches exceptions across different shared libraries.
-# Thus we use the shared libgcc.
-export DEB_LDFLAGS_MAINT_APPEND = -shared-libgcc
+# Reset all flags because dpkg's default buildflags propagate and
+# become hardcoded in gnustep-make as GNUstep's build system, which is
+# clearly undesirable (Bug#879085).
+CFLAGS := -g -O2
+CXXFLAGS := $(CFLAGS)
+OBJCFLAGS :=
+CPPFLAGS :=
+LDFLAGS :=
 
 # Instal in a temp dir
 export DESTDIR=$(CURDIR)/debian/tmp
 
 %:
 	dh $@ \
-	  --with autoreconf \
 	  --builddirectory=build-gnustep-make
 
 ## TODO: test --enable-strict-v2-mode
-## TODO: test --enable-objc-garbage-collection
-## TODO: check if we can comply with XDG  --with-user-defaults-dir=
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	    --with-layout=debian \
