=== debian/tests/control ===
Tests: file-tests
Depends: @, file, shunit2
