## gnustep-make 2.8.0

=== debian/changelog ===
gnustep-make (2.8.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 1.7.1-1.

  [ Yavor Doganov ]
  * New upstream release.
  * debian/compat: Set to 12.
  * debian/control (Build-Depends): Bump debhelper requirement.
    Add pkg-config, needed by GS_LIBOBJC_PKG.
    (Rules-Requires-Root): Set to "no".
    (Standards-Version): Claim compliance with 4.5.0; no changes needed.
  * debian/rules: Include /usr/share/dpkg/pkg-info.mk and set
    FORCE_SOURCE_DATE to achieve reproducible builds.
    (override_dh_auto_configure): Override test for bash as it produces
    different results with merged /usr, giving unreproducible builds.
  * debian/dh_gnustep/dh_gnustep: Remove support for substvar
    ${gnustep:Depends}; it's been obsolete for quite some time.
  * debian/dh_gnustep/dh_gnustep.1: Regenerate.
  * debian/patches/no-setcontentsaftertitlepage.patch: Remove; merged
    upstream.
  * debian/patches/precompiled-header.patch: New; fix test for GCC 9 or
    later which implies -Wl,--as-needed.
  * debian/patches/fix-spelling-errors.patch: Fix yet another typo.
  * debian/patches/series: Update.
  * debian/gnustep-make-doc.links: New file; install symlinks in
    /usr/share/doc pointing to /usr/share/GNUstep/Documentation.
  * debian/gnustep-make-doc.doc-base.gnustep-faq: Use /usr/share/doc
    symlinks for doc-base registration; fixes a lintian error.
  * debian/gnustep-make-doc.doc-base.gnustep-filesystem: Likewise.
  * debian/gnustep-make-doc.doc-base.gnustep-howto: Likewise.
  * debian/gnustep-make-doc.doc-base.gnustep-make: Likewise.
  * debian/gnustep-make-doc.doc-base.gnustep-userfaq: Likewise.
  * debian/gnustep-common.install: Let the upstream build system install
    the manpages.
  * debian/gnustep-make.install: Likewise.  Also add bake_debian_files.sh
    and app-wrapper.template.
  * debian/gnustep-make.manpages: Remove upstream manpages.
  * debian/gnustep-common.manpages: Delete; no longer needed.
  * debian/not-installed: New file; add config.{guess,sub}.
  * debian/copyright: Bump copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 14 Apr 2020 22:09:52 +0300

gnustep-make (2.7.0-4) unstable; urgency=medium

  * debian/rules (override_dh_auto_build-indep)
    (override_dh_auto_configure): Remove --disable-strict-v2-mode.
  * debian/compat: Bump to 11.
  * debian/control (Build-Depends): Require debhelper >= 11.
    (Vcs-Git, Vcs-Browser): Adjust following the migration to Salsa.
    (Standards-Version): Compliant with 4.2.1 as of this release.
  * debian/addons/gs_make: Delete; has never been useful and actually does
    more harm than good as it ignores variables defined on the command line.
  * debian/addons/gs_make.1: Likewise.
  * debian/gnustep-make.install: Remove gs_make.
  * debian/gnustep-make.manpages: Remove gs_make.1.
  * debian/watch: Switch to ftp.gnustep.org, use version 4 features.
  * debian/addons/config.mk: Add support for "terse" (Policy §4.9.1).
  * debian/upstream/signing-key.asc: Minimize key to placate lintian.
  * debian/gbp.conf: Add a minimalistic one.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 09 Dec 2018 00:48:24 +0200
