=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
            Yavor Doganov <yavor@gnu.org>
 Section: gnustep
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               gobjc++
+Build-Depends: debhelper (>= 12),
+               gobjc++,
+               pkg-config
 Build-Depends-Indep: texinfo,
                      texlive-base,
                      texlive-latex-base
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnustep/gnustep-make.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnustep/gnustep-make.git
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-make
+Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-make.git
 Homepage: http://gnustep.org
 
 Package: gnustep-common
