=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
+
+# Upstream documentation uses the @today macro which causes
+# unreproducible builds.
+include /usr/share/dpkg/pkg-info.mk
+export FORCE_SOURCE_DATE = 1
 
 # Reset all flags because dpkg's default buildflags propagate and
 # become hardcoded in gnustep-make as GNUstep's build system, which is
@@ -19,11 +24,12 @@
 	dh $@ \
 	  --builddirectory=build-gnustep-make
 
-## TODO: test --enable-strict-v2-mode
+# Overriding the AC_PATH_PROG test for bash is necessary because it
+# produces different results with merged /usr, leading to
+# unreproducible builds.
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	    --with-layout=debian \
-	    --disable-strict-v2-mode
+	    --with-layout=debian SHELLPROG=/bin/bash
 
 
 # We don't have a gnustep-make installation to use, we create a temporary one
@@ -34,8 +40,7 @@
 	  mkdir $(CURDIR)/Documentation/build-gnustep-make-doc; \
 	  cd $(CURDIR)/Documentation/build-gnustep-make-doc; \
 	  ../../configure --prefix="$(CURDIR)/Documentation/temp-installation" \
-			  --with-layout=debian \
-			  --disable-strict-v2-mode ;\
+			  --with-layout=debian; \
 	  $(MAKE); \
 	  $(MAKE) install
 	$(MAKE) -C Documentation \
