## gnustep-make 2.9.0

=== debian/changelog ===
gnustep-make (2.9.0-3) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Override AC_CHECK_PROGS
    test for make.  As of make-dfsg/4.3-1 the make package provides a
    /usr/bin/gmake symlink which configure happily picks as first choice.
    However, it is missing on GNU/Hurd and GNU/kFreeBSD since they provide
    only older versions of src:make-dfsg.  As gnustep-config is in the
    arch:all package the GNUMAKE variable is set to "gmake" which then
    gives empty output when invoked on arches lacking the symlink.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 07 Dec 2021 22:35:20 +0200

gnustep-make (2.9.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/gnustep-common.lintian-overrides: Drop breakout-link, unused.
  * debian/control (Uploaders): Change Gürkan's email address.
    (Standards-Version): Bump to 4.6.0; no changes required.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 07 Dec 2021 01:36:09 +0200

gnustep-make (2.9.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/patches/precompiled-header.patch: Delete; fixed upstream.
  * debian/patches/series: Update.
  * debian/control (Build-Depends): Switch to the debhelper-compat
    mechanism; bump level to 13.
    (Standards-Version): Claim compliance with 4.5.1; no changes needed.
  * debian/compat: Delete.
  * debian/gnustep-make-doc.install: Skip irrelevant README files.
  * debian/gnustep-common.lintian-overrides: Add breakout-link; symlinks
    for FHS compliance were agreed with ftpmasters long time ago.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 07 May 2021 16:45:38 +0300
