=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: gnustep-make
 Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
 Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
-           Gürkan Myczko <gurkan@phys.ethz.ch>,
+           Gürkan Myczko <tar@debian.org>,
            Yavor Doganov <yavor@gnu.org>
 Section: gnustep
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                gobjc++,
                pkg-config
 Build-Depends-Indep: texinfo,
                      texlive-base,
                      texlive-latex-base
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-make
 Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-make.git
 Homepage: http://gnustep.org
