=== debian/rules ===
--- 
+++ 
@@ -26,10 +26,16 @@
 
 # Overriding the AC_PATH_PROG test for bash is necessary because it
 # produces different results with merged /usr, leading to
-# unreproducible builds.
+# unreproducible builds.  Similarly, GNUMAKE is deliberately set to
+# make: as of make-dfsg/4.3-1 the make package provides a
+# /usr/bin/gmake symlink, but as of December 2021 it is missing on
+# GNU/Hurd and GNU/kFreeBSD since they provide only older versions of
+# make-dfsg.  Since gnustep-config is in the arch:all package it is
+# set to "gmake" which then gives empty output when invoked on
+# architectures lacking the symlink.
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	    --with-layout=debian SHELLPROG=/bin/bash
+	    --with-layout=debian SHELLPROG=/bin/bash GNUMAKE=make
 
 
 # We don't have a gnustep-make installation to use, we create a temporary one
