=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%, pasv" \
ftp://ftp.gnustep.org/pub/gnustep/core/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
